Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util.property
Class BoundPropertyAdapter

    java.lang.Object
      org.jboss.util.property.PropertyAdapter
          org.jboss.util.property.BoundPropertyAdapter

All Implemented Interfaces:
  BoundPropertyListener, EventListener, PropertyListener

Direct Known Subclasses:
  FieldBoundPropertyListener, MethodBoundPropertyListener

public abstract class BoundPropertyAdapter
extends PropertyAdapter
implements BoundPropertyListener

An abstract adapter class for receiving bound property events.

Methods defined in this class are empty. This class exists as as convenience for creating listener objects.

Version:
  `$Revision: 1.1 $`
Author:
  Jason Dillon

Constructor Summary
`BoundPropertyAdapter()`

Method Summary
`void` | `propertyBound(PropertyMap map)` Notifies that this listener was bound to a property.
`void` | `propertyUnbound(PropertyMap map)` Notifies that this listener was unbound from a property.

Methods inherited from class org.jboss.util.property.PropertyAdapter
`propertyAdded, propertyChanged, propertyRemoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.property.BoundPropertyListener
`getPropertyName`

Methods inherited from interface org.jboss.util.property.PropertyListener
`propertyAdded, propertyChanged, propertyRemoved`

Constructor Detail

### BoundPropertyAdapter

    public BoundPropertyAdapter()

Method Detail

### propertyBound

    public void propertyBound(PropertyMap map)

  Notifies that this listener was bound to a property.

  Specified by:
    `propertyBound` in interface `BoundPropertyListener`
  Parameters:
    `map` - PropertyMap which contains property bound to.

### propertyUnbound

    public void propertyUnbound(PropertyMap map)

  Notifies that this listener was unbound from a property.

  Specified by:
    `propertyUnbound` in interface `BoundPropertyListener`
  Parameters:
    `map` - PropertyMap which contains property bound to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.